Gecode::Int::TaskTraits< Unary::ManFlexTask > Class Reference

Task traits for mandatory flexible tasks. More...

`#include <unary.hh>`

## Public Types

typedef Unary::ManFlexTaskFwd | TaskViewFwd
| The forward task view type.
typedef Unary::ManFlexTaskBwd | TaskViewBwd
| The backward task view type.

## Detailed Description

Task traits for mandatory flexible tasks.

Definition at line 635 of file unary.hh.

## Member Typedef Documentation

## TaskViewFwd

typedef Unary::ManFlexTaskFwd Gecode::Int::TaskTraits< Unary::ManFlexTask >::TaskViewFwd

The forward task view type.

Definition at line 638 of file unary.hh.

## TaskViewBwd

typedef Unary::ManFlexTaskBwd Gecode::Int::TaskTraits< Unary::ManFlexTask >::TaskViewBwd

The backward task view type.

Definition at line 640 of file unary.hh.

The documentation for this class was generated from the following file:

- gecode/int/unary.hh